Package org.eclipse.mat.ui.internal.browser

## Class QueryAllProvider

- java.lang.Object
- - org.eclipse.mat.ui.internal.browser.QueryBrowserProvider
  - - org.eclipse.mat.ui.internal.browser.QueryAllProvider

    public class QueryAllProvider
    extends QueryBrowserProvider

Empty provider used to generate the 'All queries' action item

### Field Summary

Fields
`static java.lang.String` `ALL`

### Constructor Summary

Constructors
`QueryAllProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`QueryBrowserPopup.Element[]` `getElements()`
`java.lang.String` `getName()`

### Methods inherited from class org.eclipse.mat.ui.internal.browser.QueryBrowserProvider

`getElementsSorted, unsuitableSubjects`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALL

    public static final java.lang.String ALL

### Constructor Detail

#### QueryAllProvider

    public QueryAllProvider()

### Method Detail

#### getElements

    public QueryBrowserPopup.Element[] getElements()

Specified by:
  `getElements` in class `QueryBrowserProvider`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `QueryBrowserProvider`